KTextEditor::SearchInterface Class Referenceabstract

`#include <searchinterface.h>`

## Public Member Functions

unsigned int | searchInterfaceNumber () const
virtual bool | searchText (unsigned int startLine, unsigned int startCol, const QString &text, unsigned int *foundAtLine, unsigned int *foundAtCol, unsigned int *matchLen, bool casesensitive=true, bool backwards=false)=0
virtual bool | searchText (unsigned int startLine, unsigned int startCol, const QRegExp &regexp, unsigned int *foundAtLine, unsigned int *foundAtCol, unsigned int *matchLen, bool backwards=false)=0

## Protected Member Functions

void | setSearchInterfaceDCOPSuffix (const QCString &suffix)

## Friends

class | PrivateSearchInterface

## Detailed Description

This is an interface to allow searching of a Document.

Definition at line 35 of file searchinterface.h.

The documentation for this class was generated from the following files:

- searchinterface.h
- searchinterface.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys